[QSonarr] [2.0.0.5338] Smart PVR for newsgroup and bittorrent users

This is the best place for community developers to publish their genius work. Your Apps enrich the QNAP Turbo NAS.
Post Reply
User avatar
Toxic17
Ask me anything
Posts: 5432
Joined: Tue Jan 25, 2011 11:41 pm
Location: Planet Earth
Contact:

Re: [QSonarr] [2.0.0.5153] Smart PVR for newsgroup and bittorrent users

Post by Toxic17 » Fri Jul 06, 2018 8:33 pm

linden2011 wrote:There is nothing really that could be fixed on Sonarr side. The program is working fine, as well as the latest QSonarr package provided by Stephane. The problem is that Sonarr isn't working with Mono 3.10 anymore, since some updates ago, therefor users had to upgrade to a higher version. Unfortunatly all higher QMono versions that are availabe for arm-x19 devices, having DNS issues and as Stephane said, there is less hope he can fix it. So for now it seems users (like me) with an arm-x19 device, have to deal with the DNS issues by modifying the host file, so most of the functionality from QSonarr is working again, or have to wait until Stephane (or someone else) may find a fix.


Is there no way of installing Entware and using mono from that source for the arm-x19 devices?

viewtopic.php?f=351&t=139781

just curious.
Regards Simon

QTS 4.x User Guidex

QNAP Club Repository
Submit a ticket • QNAP Helpdesk
QNAP Tutorials, User Manuals, FAQs, Downloads, Wiki
When you ask a question, please include the following


NAS: TS-473-32GB QM2-2P QXG-10G1T 4.4.2.1354 • TVS-463-16GB 4.4.2.1354 QM2-2S10G1TB • TS-459 Pro 2GB 4.2.6 • TS-121 4.3.3.1161 • APC Back-UPS ES 700G •
QPKG's: Plex 1.19.3 • Apache73 v2443.74070 • QSonarr 3.0.3.809 • QNBZGet 21.0 • phpMyAdmin 5.0.2 • Qmono 6.80.105 • McAfee 3.1.0 -6010 • HBS 3.0.200424 • LEgo v3.6.0
Network: VM Hub 3.0 <500/35> • UniFi USG Pro 4 • UniFi USW-16-150W • UniFi USW-8-60W • UniFi CloudKey Gen2+ • UniFi G3-Flex • UAP AC Pro • UAP AC Lite • SLM2008 • Dell 7050 MFF •

linden2011
Starting out
Posts: 20
Joined: Tue Apr 10, 2012 12:43 am

Re: [QSonarr] [2.0.0.5153] Smart PVR for newsgroup and bittorrent users

Post by linden2011 » Fri Jul 06, 2018 8:42 pm

I am no expert, by I guess this list shows all applications I can install via entware, right?

http://entware.zyxmon.org/binaries/armv5/Packages.html

So Mono isn't in it.

ckahn
Know my way around
Posts: 109
Joined: Sun Dec 09, 2012 8:46 pm
Location: Toronto, Ontario, Canada

Re: [QSonarr] [2.0.0.5153] Smart PVR for newsgroup and bittorrent users

Post by ckahn » Sat Jul 07, 2018 5:56 am

Toxic17 wrote:
linden2011 wrote:There is nothing really that could be fixed on Sonarr side. The program is working fine, as well as the latest QSonarr package provided by Stephane. The problem is that Sonarr isn't working with Mono 3.10 anymore, since some updates ago, therefor users had to upgrade to a higher version. Unfortunatly all higher QMono versions that are availabe for arm-x19 devices, having DNS issues and as Stephane said, there is less hope he can fix it. So for now it seems users (like me) with an arm-x19 device, have to deal with the DNS issues by modifying the host file, so most of the functionality from QSonarr is working again, or have to wait until Stephane (or someone else) may find a fix.


Is there no way of installing Entware and using mono from that source for the arm-x19 devices?

viewtopic.php?f=351&t=139781

just curious.


I did use Entware to install MediaInfo last night, but the MediaInfo warning still appears in Sonarr:

Code: Select all

MediaInfo Library could not be loaded libmediainfo.so.0   


Amongst Entware-installed packages, mediainfo is listed as version 18.03.1-1:

Code: Select all

[~] # opkg list-installed
entware-opt - 227000-3
entware-release - 1.0-2
entware-upgrade - 1.0-1
file - 5.25-2
findutils - 4.6.0-1
glib2 - 2.56.1-1
grep - 2.26-1
libattr - 20170915-1
libblkid - 2.32-2
libc - 2.27-8
libffi - 3.2.1-3
libgcc - 7.3.0-8
libiconv-full - 1.11.1-3
libintl-full - 0.19.8.1-1
libmagic - 5.25-2
libmbedtls - 2.8.0-1
libmount - 2.32-2
libncursesw - 6.1-1
libpcre - 8.41-2
libpthread - 2.27-8
librt - 2.27-8
libslang2 - 2.3.2-1
libssh2 - 1.8.0-2
libssp - 7.3.0-8
libstdcpp - 7.3.0-8
libuuid - 2.32-2
locales - 2.27-8
mc - 4.8.20-2
mediainfo - 18.03.1-1
nano - 2.9.6-1
opkg - 2011-04-08-9c97d5ec-17b
terminfo - 6.1-1
zlib - 1.2.11-2
zoneinfo-asia - 2018e-1
zoneinfo-europe - 2018e-1


There was an earlier message in this thread about downloading the libmediainfo files from another package and manually copying them to three locations. I haven't tried that yet. Perl no longer works after installing Entware, so I'm removing and adding the QNAP Perl package now.
Model name TS-219P II
Total memory 503 MB
Firmware version 4.3.3.0570 Build 20180528

User avatar
Toxic17
Ask me anything
Posts: 5432
Joined: Tue Jan 25, 2011 11:41 pm
Location: Planet Earth
Contact:

Re: RE: Re: [QSonarr] [2.0.0.5153] Smart PVR for newsgroup and bittorrent users

Post by Toxic17 » Sat Jul 07, 2018 4:15 pm

ckahn wrote:There was an earlier message in this thread about downloading the libmediainfo files from another package and manually copying them to three locations. I haven't tried that yet. Perl no longer works after installing Entware, so I'm removing and adding the QNAP Perl package now.


Try installing perl then.

opkg install perl

Sent from my ONEPLUS A6003 using Tapatalk
Regards Simon

QTS 4.x User Guidex

QNAP Club Repository
Submit a ticket • QNAP Helpdesk
QNAP Tutorials, User Manuals, FAQs, Downloads, Wiki
When you ask a question, please include the following


NAS: TS-473-32GB QM2-2P QXG-10G1T 4.4.2.1354 • TVS-463-16GB 4.4.2.1354 QM2-2S10G1TB • TS-459 Pro 2GB 4.2.6 • TS-121 4.3.3.1161 • APC Back-UPS ES 700G •
QPKG's: Plex 1.19.3 • Apache73 v2443.74070 • QSonarr 3.0.3.809 • QNBZGet 21.0 • phpMyAdmin 5.0.2 • Qmono 6.80.105 • McAfee 3.1.0 -6010 • HBS 3.0.200424 • LEgo v3.6.0
Network: VM Hub 3.0 <500/35> • UniFi USG Pro 4 • UniFi USW-16-150W • UniFi USW-8-60W • UniFi CloudKey Gen2+ • UniFi G3-Flex • UAP AC Pro • UAP AC Lite • SLM2008 • Dell 7050 MFF •

ckahn
Know my way around
Posts: 109
Joined: Sun Dec 09, 2012 8:46 pm
Location: Toronto, Ontario, Canada

Re: [QSonarr] [2.0.0.5153] Smart PVR for newsgroup and bittorrent users

Post by ckahn » Wed Jul 11, 2018 10:07 am

RenVilo wrote:
bassar wrote:Where did you DL the mediainfo files from, I found a copy of libmediainfo.so but not the others...


Well that is a good question hahaha.. Its either from one of these two links:

https://www.archlinux.org/packages/comm ... mediainfo/
https://mediaarea.net/en/MediaInfo/Download/Arch_Linux

Not sure which one I downloaded but only copied the 3 mediainfo files to those directories


I downloaded those three files and copied all three to the three directories (my .qpkg is under MD0_DATA) and still get the "MediaInfo could not be loaded libmediainfo.so.0" error.

Code: Select all

[~] # ll /usr/lib/libmediainfo*
-rw-rw----    1 admin    administ        21 May 22 06:25 /usr/lib/libmediainfo.so
-rw-rw----    1 admin    administ        21 May 22 06:25 /usr/lib/libmediainfo.so.0
-rw-rw----    1 admin    administ      7.2M May 22 06:25 /usr/lib/libmediainfo.so.0.0.0

[~] # ll /share/MD0_DATA/.qpkg/Qmono/lib/libmedia*
-rw-rw----    1 admin    administ        21 May 22 06:25 /share/MD0_DATA/.qpkg/Qmono/lib/libmediainfo.so
-rw-rw----    1 admin    administ        21 May 22 06:25 /share/MD0_DATA/.qpkg/Qmono/lib/libmediainfo.so.0
-rw-rw----    1 admin    administ      7.2M May 22 06:25 /share/MD0_DATA/.qpkg/Qmono/lib/libmediainfo.so.0.0.0

[~] # ll /share/MD0_DATA/.qpkg/QSonarr/NzbDrone/libmedia*
-rw-rw----    1 admin    administ        21 May 22 06:25 /share/MD0_DATA/.qpkg/QSonarr/NzbDrone/libmediainfo.so
-rw-rw----    1 admin    administ        21 May 22 06:25 /share/MD0_DATA/.qpkg/QSonarr/NzbDrone/libmediainfo.so.0
-rw-rw----    1 admin    administ      7.2M May 22 06:25 /share/MD0_DATA/.qpkg/QSonarr/NzbDrone/libmediainfo.so.0.0.0


Update: I think I see the issue -- none of those libmediainfo.so files are executable. So I modified the permissions.

Update 2: I spoke too soon -- all have been set to executable, but after a restart the error "MediaInfo Library could not be loaded libmediainfo.so.0" is back. Maybe I'm using the wrong version of libmediainfo.so ?

Update 3: The libmediainfo.so files downloaded from the links above reported "not a dynamic executable" when prodded with the ldd command. So I unpacked the old Mono_3.10.0_arm-x19.qpkg file and copied the libmediainfo.so files from within it to those same three folder locations. Sonarr is finally importing files from its download directory to individual series folders.

Code: Select all

# ldd /share/MD0_DATA/.qpkg/QSonarr/NzbDrone/libmedia*
/share/MD0_DATA/.qpkg/QSonarr/NzbDrone/libmediainfo.so:
 libz.so.1 => /lib/libz.so.1 (0xb68c8000)
 libpthread.so.0 => /lib/libpthread.so.0 (0xb68a8000)
 libstdc++.so.6 => /usr/lib/libstdc++.so.6 (0xb67c7000)
 libm.so.6 => /lib/libm.so.6 (0xb6717000)
 libc.so.6 => /lib/libc.so.6 (0xb65e3000)
 libgcc_s.so.1 => /lib/libgcc_s.so.1 (0xb65cf000)
 /lib/ld-linux.so.3 (0xb6f4a000)
/share/MD0_DATA/.qpkg/QSonarr/NzbDrone/libmediainfo.so.0:
 libz.so.1 => /lib/libz.so.1 (0xb693f000)
 libpthread.so.0 => /lib/libpthread.so.0 (0xb691f000)
 libstdc++.so.6 => /usr/lib/libstdc++.so.6 (0xb683e000)
 libm.so.6 => /lib/libm.so.6 (0xb678e000)
 libc.so.6 => /lib/libc.so.6 (0xb665a000)
 libgcc_s.so.1 => /lib/libgcc_s.so.1 (0xb6646000)
 /lib/ld-linux.so.3 (0xb6fc1000)
/share/MD0_DATA/.qpkg/QSonarr/NzbDrone/libmediainfo.so.0.0.0:
 libz.so.1 => /lib/libz.so.1 (0xb68b5000)
 libpthread.so.0 => /lib/libpthread.so.0 (0xb6895000)
 libstdc++.so.6 => /usr/lib/libstdc++.so.6 (0xb67b4000)
 libm.so.6 => /lib/libm.so.6 (0xb6704000)
 libc.so.6 => /lib/libc.so.6 (0xb65d0000)
 libgcc_s.so.1 => /lib/libgcc_s.so.1 (0xb65bc000)
 /lib/ld-linux.so.3 (0xb6f37000)
Model name TS-219P II
Total memory 503 MB
Firmware version 4.3.3.0570 Build 20180528

flametrees
New here
Posts: 6
Joined: Sat Dec 14, 2013 7:07 am

Re: [QSonarr] [2.0.0.5153] Smart PVR for newsgroup and bittorrent users

Post by flametrees » Sun Jul 15, 2018 5:27 am

Update 3: The libmediainfo.so files downloaded from the links above reported "not a dynamic executable" when prodded with the ldd command. So I unpacked the old Mono_3.10.0_arm-x19.qpkg file and copied the libmediainfo.so files from within it to those same three folder locations. Sonarr is finally importing files from its download directory to individual series folders.


Really appreciate the efforts you've gone to here. Unfortunately it didn't work for me, I still get the "MediaInfo could not be loaded libmediainfo.so.0" error.

I use a TS-419 II and I am using:
Qmono_5.12.0.266_arm-x19 and
QSonarr_2.0.0.5163

Regards,
Andrew

trp
New here
Posts: 6
Joined: Thu Jan 06, 2011 1:23 am

Re: [QSonarr] [2.0.0.5153] Smart PVR for newsgroup and bittorrent users

Post by trp » Thu Jul 26, 2018 2:15 am

Hi there, I'm having issues with my install of QSonarr (configuration below).

Once a download completes (using SAB), QSonarr reports that it is "Unable to determine if file is a sample" for EVERY download.
Whilst I can perform a Manual Import, I would like to get this working... Does anyone have any suggestions, please?

System configuration notes:
NAS: TS-459
Firmware: 4.2.6
QMono: 5.4.1.6.0 (x86)
QSonarr: 2.0.0.5163 (x86) - updated in app to 2.0.0.5228
QSonarr - Status (warning): MediaInfo Library could not be loaded libmediainfo.so.0
QSonarr - Settings/Media Management/Permissions - both file and folder chmod are 0777
SABnzbdplus 180427 via SHERPA
SAB config: User Folders/Permissions for completed downloads: 777

Spanger
New here
Posts: 4
Joined: Tue Jul 29, 2014 9:05 pm

Re: [QSonarr] [2.0.0.5153] Smart PVR for newsgroup and bittorrent users

Post by Spanger » Thu Aug 02, 2018 9:22 am

Anyone can point me on how to troubleshoot this ?

[admin@Home-Nas QSonarr]# ./QSonarr.sh start
file exists
/opt/Qmono/bin/mono: error while loading shared libraries: libm.so.6: wrong ELF class: ELFCLASS32

[admin@Home-Nas QSonarr]# uname -a
Linux Home-Nas 3.4.6 #1 SMP Wed Jul 11 09:37:59 CST 2018 x86_64 unknown

Setup:
QSonarr_2.0.0.5163.qpkg
Qmono_5.12.0.266_x86_64.qpkg
entware 1.0
sort my qpkgs app
NAS is older x86 TS-459 QNAP v4.2.6 build 20180711

thanks in advance

User avatar
QNAP_Stephane
Experience counts
Posts: 3867
Joined: Wed Mar 27, 2013 1:00 am

Re: [QSonarr] [2.0.0.5153] Smart PVR for newsgroup and bittorrent users

Post by QNAP_Stephane » Thu Aug 02, 2018 2:19 pm

you use Qmono_5.12.0.266_x86_64.qpkg , it is 64bit version, you need 32bit
--------------------------------------------------------------------------
QnapClub AppCenter - https://www.qnapclub.eu
--------------------------------------------------------------------------

User avatar
Skeptical.me
Easy as a breeze
Posts: 405
Joined: Sun Jun 05, 2016 8:58 am
Location: Australia

Re: [QSonarr] [2.0.0.5153] Smart PVR for newsgroup and bittorrent users

Post by Skeptical.me » Fri Aug 03, 2018 4:37 am

@QNAP_Stephane QSonarr is telling me an update is available ... is that right, or should I just ignore it?
QNAP TS-253Be 2 x WD Red 6TB RAID1, & 1 x WD Ext. 6TB, QTS: 4.4.1

QVPN, Plex, Radar, Sonarr, Lidarr, NZBGet, NZBHydra 2


ASUS RT-AX88U ASUSWRT-Merlin, Apple iMac 27" 5K 32GB 500GB SSD i5 3.5Ghz. Dell WIN 10 Laptop

Spanger
New here
Posts: 4
Joined: Tue Jul 29, 2014 9:05 pm

Re: [QSonarr] [2.0.0.5153] Smart PVR for newsgroup and bittorrent users

Post by Spanger » Fri Aug 03, 2018 1:55 pm

QNAP_Stephane wrote:you use Qmono_5.12.0.266_x86_64.qpkg , it is 64bit version, you need 32bit


thanks fo the pointer! I didnt see it located on the link: https://qnapclub.eu/fr/qpkg/193

Would you be able to steer me to that version by chance ? Appreciate the pointers

Trindar
First post
Posts: 1
Joined: Fri Aug 10, 2018 2:18 am

Re: [QSonarr] [2.0.0.5153] Smart PVR for newsgroup and bittorrent users

Post by Trindar » Tue Aug 14, 2018 9:38 am

I am new to Qnap so am a rookie to begin with. I have installed QSonarr 2.0.0.5153 and works great. When I hit the update link to the new version I get this error. This mean anything to anyone or how to fix it? Maybe you cannot install with the update button in Sonaar? I have the TV-882. I3 version.


Error occurred while executing task ApplicationUpdate: Could not find file ""

Exception
System.IO.FileNotFoundException: Could not find file ""
at System.IO.Directory.InsecureGetCurrentDirectory () [0x00010] in <aaba9438a7604d738ea58a98d226c34b>:0
at System.IO.Path.InsecureGetFullPath (System.String path) [0x0010f] in <aaba9438a7604d738ea58a98d226c34b>:0
at System.IO.Path.GetFullPathInternal (System.String path) [0x00000] in <aaba9438a7604d738ea58a98d226c34b>:0
at System.IO.FileInfo.Init (System.String fileName, System.Boolean checkHost) [0x00007] in <aaba9438a7604d738ea58a98d226c34b>:0
at System.IO.FileInfo..ctor (System.String fileName) [0x00014] in <aaba9438a7604d738ea58a98d226c34b>:0
at (wrapper remoting-invoke-with-check) System.IO.FileInfo..ctor(string)
at NzbDrone.Common.Processes.ProcessProvider.Start (System.String path, System.String args, System.Collections.Specialized.StringDictionary environmentVariables, System.Action`1[T] onOutputDataReceived, System.Action`1[T] onErrorDataReceived) [0x0003c] in <6d548036160a49ed8e2657c617163f50>:0
at NzbDrone.Core.Update.InstallUpdateService.InstallUpdate (NzbDrone.Core.Update.UpdatePackage updatePackage) [0x00245] in <9b8bbe29888f49229914613e26af4aa5>:0
at NzbDrone.Core.Update.InstallUpdateService.Execute (NzbDrone.Core.Update.Commands.ApplicationUpdateCommand message) [0x00071] in <9b8bbe29888f49229914613e26af4aa5>:0
at NzbDrone.Core.Messaging.Commands.CommandExecutor.ExecuteCommand[TCommand] (TCommand command, NzbDrone.Core.Messaging.Commands.CommandModel commandModel) [0x000f6] in <9b8bbe29888f49229914613e26af4aa5>:0
at (wrapper dynamic-method) System.Object.CallSite.Target(System.Runtime.CompilerServices.Closure,System.Runtime.CompilerServices.CallSite,NzbDrone.Core.Messaging.Commands.CommandExecutor,object,NzbDrone.Core.Messaging.Commands.CommandModel)
at System.Dynamic.UpdateDelegates.UpdateAndExecuteVoid3[T0,T1,T2] (System.Runtime.CompilerServices.CallSite site, T0 arg0, T1 arg1, T2 arg2) [0x00035] in <7ffe722dd31b49be81844ccf72ae37cb>:0
at (wrapper dynamic-method) System.Object.CallSite.Target(System.Runtime.CompilerServices.Closure,System.Runtime.CompilerServices.CallSite,NzbDrone.Core.Messaging.Commands.CommandExecutor,object,NzbDrone.Core.Messaging.Commands.CommandModel)
at NzbDrone.Core.Messaging.Commands.CommandExecutor.ExecuteCommands () [0x0008c] in <9b8bbe29888f49229914613e26af4aa5>:0


Thank you.

dmacfar1
Starting out
Posts: 10
Joined: Sun Oct 02, 2016 1:01 am

Re: [QSonarr] [2.0.0.5153] Smart PVR for newsgroup and bittorrent users

Post by dmacfar1 » Sun Aug 19, 2018 3:05 am

I really appreciate those that have made Sonarr available through a qpkg. :D 2.0.0.5163 runs great. I was wondering if there was a planned update to 2.0.0.5228 anytime soon? Will 2.0.0.5225 and 2.0.0.5228 be skipped or is this a dying package? There are a few fixes that might help me and I am wondering if I should be looking down another path.

Just to be clear I am not complaining or expecting anyone to rush on this. I really appreciate the time that has been spent. I am just trying to find out insights on what are the plans for QSonarr. Thanks for everything.

User avatar
Toxic17
Ask me anything
Posts: 5432
Joined: Tue Jan 25, 2011 11:41 pm
Location: Planet Earth
Contact:

Re: [QSonarr] [2.0.0.5153] Smart PVR for newsgroup and bittorrent users

Post by Toxic17 » Sun Aug 19, 2018 6:38 am

QSonarr is one of about 100 QPKGs that Stephane developes.

Since QSonarr has an update feature I doubt he will update the QPKG just to a new version of Package when you can update from the GUI considering all these QPKG's are compiled in his spare time.
Regards Simon

QTS 4.x User Guidex

QNAP Club Repository
Submit a ticket • QNAP Helpdesk
QNAP Tutorials, User Manuals, FAQs, Downloads, Wiki
When you ask a question, please include the following


NAS: TS-473-32GB QM2-2P QXG-10G1T 4.4.2.1354 • TVS-463-16GB 4.4.2.1354 QM2-2S10G1TB • TS-459 Pro 2GB 4.2.6 • TS-121 4.3.3.1161 • APC Back-UPS ES 700G •
QPKG's: Plex 1.19.3 • Apache73 v2443.74070 • QSonarr 3.0.3.809 • QNBZGet 21.0 • phpMyAdmin 5.0.2 • Qmono 6.80.105 • McAfee 3.1.0 -6010 • HBS 3.0.200424 • LEgo v3.6.0
Network: VM Hub 3.0 <500/35> • UniFi USG Pro 4 • UniFi USW-16-150W • UniFi USW-8-60W • UniFi CloudKey Gen2+ • UniFi G3-Flex • UAP AC Pro • UAP AC Lite • SLM2008 • Dell 7050 MFF •

User avatar
Skeptical.me
Easy as a breeze
Posts: 405
Joined: Sun Jun 05, 2016 8:58 am
Location: Australia

Re: [QSonarr] [2.0.0.5153] Smart PVR for newsgroup and bittorrent users

Post by Skeptical.me » Tue Aug 21, 2018 11:38 am

Toxic17 wrote:QSonarr is one of about 100 QPKGs that Stephane developes.

Since QSonarr has an update feature I doubt he will update the QPKG just to a new version of Package when you can update from the GUI considering all these QPKG's are compiled in his spare time.


Just to clarify, are you saying that I can simply update QSonarr in the GUI simpy by clicking on the update button that pops up from time to time? I was under the impression Stephane had to make the update each time it is released otherwise it wouldn't work if you updated through the GUI. If I can update the way I think you're suggesting that'll be great.
QNAP TS-253Be 2 x WD Red 6TB RAID1, & 1 x WD Ext. 6TB, QTS: 4.4.1

QVPN, Plex, Radar, Sonarr, Lidarr, NZBGet, NZBHydra 2


ASUS RT-AX88U ASUSWRT-Merlin, Apple iMac 27" 5K 32GB 500GB SSD i5 3.5Ghz. Dell WIN 10 Laptop

Post Reply

Return to “Community Apps”